REGULATOR_BULK_ENABL(9)

NAME
regulator_bulk_enable - enable multiple regulator consumers

SYNOPSIS

int regulator_bulk_enable(int num_consumers, struct regulator_bulk_data * consumers);

ARGUMENTS

num_consumers
    Number of consumers

consumers
    Consumer data; clients are stored here. return 0 on success, an errno on failure

DESCRIPTION

This convenience API allows consumers to enable multiple regulator clients in a single API call. If any consumers cannot be enabled then any others that were enabled will be disabled again prior to return.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT